<?php $this->pageTitle=Yii::app()->name; ?>

<h1>PeriodicalUpdater plugin for jQuery</h1>
<h2>What's going on here?</h2>
<p>PeriodicalUpdater is a plugin for jQuery that emulates Prototype's Ajax.PeriodicalUpdater function.</p>
<p>The general idea is that ajax requests are sent at specified intervals, and if the data from the server doesn't change, the requests get less and less frequent. If the data from the server changes, the interval for requests is reset.</p>

<h2>What's going on in this example?</h2>
<p>We're calling a PHP script that will return '1' 80% of the time, and '2' 20% of the time. When the results don't change, the time between requests gets longer and longer. When the results do change, the div below is updated and the interval goes back to the minimum value. This is all configurable via the arguments passed.</p>

<p>If you're using Firefox and Firebug, you can watch the ajax requests being sent out.</p>

<a href="http://www.360innovate.co.uk/blog/2009/03/periodicalupdater-for-jquery/">Go to documentation</a>

<div id="results" style="height:200px;overflow:auto;padding-top: 10px">
    <h3>Results from $.PeriodicalUpdater()</h3><br />
</div>

<a href="#" id="stop">Stop ajax requests!</a>

<?php $this->widget('ext.jpupdater.JPeriodicalUpdater', array(
	'url'=>array("site/update"),
    'method'=>'post',
    'maxTimeout'=>6000,
    'callback'=>array(
        "var myHtml = 'The data returned from the server was: ' + data + ' <br />'",
        "$('#results').append(myHtml);"
    ),
)); 
Yii::app()->clientScript->registerScript('stopper', "
$('a#stop').click(function(e){
    e.preventDefault();
    clearTimeout(PeriodicalTimer);
    var html = '<br /><p name=\"ajaxstopped\">Ajax requests from $.PeriodicalUpdater have been stopped!</p>';
    $('a#stop').after(html);
    $('p[name=\"ajaxstopped\"]').css({color: 'red'}).fadeOut(300).fadeIn(300).fadeOut(300).fadeIn(300);
    $(this).slideUp(500);
})    
");
?>



